io.undertow.server.handlers.proxy.mod_cluster

## Class MCMPConfig.WebBuilder

- java.lang.Object
- - io.undertow.server.handlers.proxy.mod_cluster.MCMPConfig.Builder
  - - io.undertow.server.handlers.proxy.mod_cluster.MCMPConfig.WebBuilder

Enclosing class:
  MCMPConfig

    public static class MCMPConfig.WebBuilder
    extends MCMPConfig.Builder

### Constructor Summary

Constructors
Constructor and Description
`WebBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`MCMPConfig` `build()`
`MCMPConfig.WebBuilder` `setAllowCmd(boolean allowCmd)`
`MCMPConfig.WebBuilder` `setCheckNonce(boolean checkNonce)`
`MCMPConfig.WebBuilder` `setReduceDisplay(boolean reduceDisplay)`

### Methods inherited from class io.undertow.server.handlers.proxy.mod_cluster.MCMPConfig.Builder

`create, enableAdvertise, setManagementHost, setManagementPort`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebBuilder

    public WebBuilder()

### Method Detail

#### setCheckNonce

    public MCMPConfig.WebBuilder setCheckNonce(boolean checkNonce)

#### setReduceDisplay

    public MCMPConfig.WebBuilder setReduceDisplay(boolean reduceDisplay)

#### setAllowCmd

    public MCMPConfig.WebBuilder setAllowCmd(boolean allowCmd)

#### build

    public MCMPConfig build()

Overrides:
  `build` in class `MCMPConfig.Builder`